Home

Get raw table item

POST
https://apt.nownodes.io/v1/tables/{table_handle}/raw_item

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get a table item at a specific ledger version from the table identified by {table_handle} in the path and the "key" (RawTableItemRequest) provided in the request body.

The get_raw_table_item requires only a serialized key comparing to the full move type information comparing to the get_table_item api, and can only return the query in the bcs format.

The Aptos nodes prune account state history, via a configurable time window. If the requested ledger version has been pruned, the server responds with a 410.

Body

application/json

Table Item request for the GetTableItemRaw API

keyHexEncodedBytes<hex>required

All bytes (Vec) data is represented as hex-encoded string prefixed with 0x and fulfilled with two hex digits per byte.

Unlike the Address type, HexEncodedBytes will not trim any zeros.

Parameters

table_handleAddress<hex>requiredpath

Table handle hex encoded 32-byte string

ledger_versionU64<uint64>query

Ledger version to get state of account

If not provided, it will be the latest version

Response

200OK
400Bad Request
403Forbidden
404Not Found
410Gone
500Internal Server Error
503Service Unavailable